# CoopStarter frontend application

This repository is the frontend application of the CoopStarter project.

## Requirements

To be able to run and work on this project, you will need:
- NodeJS
- NPM
- [PUG](https://www.npmjs.com/package/pug)

Disclaimer: PUG could need to be installed globally as root `sudo npm i -g pug` to work properly

## Installation

### Server setup
1. Clone the associated [coopstarter-data](https://git.happy-dev.fr/startinblox/applications/coop-starter/coopstarter-data) repository and follow the server installation procedure described in the `README.md`
2. Launch this server and ensure it's running on `127.0.0.1:8000/admin/`

### Frontend application setup

3. Open a new console tab
4. Clone this repository in your preferred location (your workspace)
5. Move to the root of the directory : `cd coopstarter-front`
6. Install all needed dependencies using npm: `npm install`
7. Edit the configuration file located in `./src/` to ensure the `sdn` and all the `endpoints` variables are properly set
8. Build or watch the project: `npm run build` or `npm run watch`
10. In a new tab, serve the project using the node server: `node server`
11. If you have no CSS when loading the project local URL, edit and save the `src/styles/index.scss` file with any kind of modifications to force the compilation.

You should now be able to access the application using your preferred browser on `http://localhost:9000/`

## Funding

![EULOGO](documentation/EU_logos.png)

This software has been co-funded by the European Union.
The contents of this software are the sole responsibility of Cooperatives Europe and can in no way be taken to reflect the views of the European Union.
